.quantity {
    height: 32px;
    display: block;
    position: relative;
    background: white;
    $input-selector: "input[type=text], input[type=number]";

    &__input {
        margin: 0;
        width: 100%;
        z-index: 1;
        height: 32px;
        outline: none;
        color: var(--gray-50);
        text-align: center;
        font-weight: 600;
        font-size: 11px;
        line-height: 14px;
        padding: 8px 24px;
        border-radius: 20px;
        position: relative;
        background: transparent;
        display: block;
        vertical-align: middle;
        border: 1px solid var(--gray-10);
        @include placeholder(transparent);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            opacity: 1;
            outline: none;
            @include placeholder(transparent);

        }


        &.error {
            border-color: red !important;
        }
    }

    input[type="number"]::-webkit-outer-spin-button,
    input[type="number"]::-webkit-inner-spin-button {
        display: none;
        -webkit-appearance: none;
        margin: 0;
    }

    input[type="number"] {
        -moz-appearance: textfield;
    }

    &__button {
        top: 0;
        z-index: 10;
        font-size: 0;
        line-height: 0;
        border: none;
        outline: none;
        width: 32px;
        height: 32px;
        background: transparent;
        cursor: pointer;
        position: absolute;

        &:after,
        &:before {
            top: calc(50% - 1px);
            left: calc(50% - 4px);
            z-index: 10;
            content: '';
            width: 8px;
            height: 1px;
            background: black;
            position: absolute;
        }

        &--minus {
            left: 0;
            border-radius: 20px 0 0 20px;
        }

        &--plus {
            right: 0;
            border-radius: 0 20px 20px 0;

            &:after {
                transform: rotate(90deg);
            }
        }
    }

    &--sm {
        height: 28px;

        .quantity {

            &__input {
                height: 28px;
                padding: 6px 24px;
            }

            &__button {
                width: 28px;
                height: 28px;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &--sm {
            height: 32px;

            .quantity {

                &__input {
                    height: 32px;
                    padding: 8px 24px;
                }

                &__button {
                    width: 32px;
                    height: 32px;
                }
            }
        }
    }
}

